import { PropType, Ref, HTMLAttributes } from 'vue';
import { FollowerPlacement } from 'vueuc';
import { TreeNode } from 'treemate';
import { DropdownGroupOption, DropdownIgnoredOption, DropdownOption } from './interface';
declare const _default: import("vue").DefineComponent<{
    clsPrefix: {
        type: StringConstructor;
        required: true;
    };
    tmNode: {
        type: PropType<TreeNode<DropdownOption, DropdownGroupOption, DropdownIgnoredOption>>;
        required: true;
    };
    parentKey: {
        type: PropType<string | number | null>;
        default: null;
    };
    placement: {
        type: PropType<FollowerPlacement>;
        default: string;
    };
    props: PropType<HTMLAttributes>;
}, {
    labelField: Ref<string>;
    renderLabel: Ref<import("./interface").RenderLabelImpl | undefined>;
    renderIcon: Ref<import("./interface").RenderIconImpl | undefined>;
    siblingHasIcon: Ref<boolean>;
    siblingHasSubmenu: Ref<boolean>;
    animated: Ref<boolean>;
    mergedShowSubmenu: import("vue").ComputedRef<boolean>;
    rawNode: import("vue").ComputedRef<DropdownOption | DropdownGroupOption | DropdownIgnoredOption>;
    hasSubmenu: import("vue").ComputedRef<boolean>;
    pending: import("vue").ComputedRef<boolean>;
    childActive: import("vue").ComputedRef<boolean>;
    active: import("vue").ComputedRef<boolean>;
    mergedDisabled: import("vue").ComputedRef<boolean>;
    handleClick: () => void;
    handleMouseMove: () => void;
    handleMouseEnter: () => void;
    handleMouseLeave: (e: MouseEvent) => void;
    handleSubmenuBeforeEnter: () => void;
    handleSubmenuAfterEnter: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    clsPrefix?: unknown;
    tmNode?: unknown;
    parentKey?: unknown;
    placement?: unknown;
    props?: unknown;
} & {
    clsPrefix: string;
    placement: FollowerPlacement;
    tmNode: TreeNode<DropdownOption, DropdownGroupOption, DropdownIgnoredOption>;
    parentKey: string | number | null;
} & {
    props?: HTMLAttributes | undefined;
}>, {
    placement: FollowerPlacement;
    parentKey: string | number | null;
}>;
export default _default;
